Subject: bug#17511: 24.4.50; `line-move-ignore-invisible': doc and purpose not clear

From: Drew Adams <[email-masked]>
Date: Sat, 17 May 2014 09:24:23 -0700 (PDT)

> OK, I removed the empty line.

Thx.  Maybe it would be good to decide on the convention to use and
document it in the guidelines.  Just a suggestion.

> I see no reason to mention invisible lines, because that might be
> confusing: what matters are not the lines, but the newlines.
> Therefore, the doc string now only talks about newlines, and the
> manual now says:
> 
>     Ordinarily, functions that operate on text or move point do not care
>   whether the text is invisible, they process invisible characters and
>   visible characters alike.  The user-level line motion commands,
>   such as @code{next-line}, @code{previous-line}, ignore invisible
>   newlines if @code{line-move-ignore-invisible} is non-@code{nil} (the
>   default), i.e., behave like these invisible newlines didn't exist in
>   the buffer, but only because they are explicitly programmed to do so.

Looks good.  I will close the bug.